const auth = {
	state: {
		appConfig:{
			name:'',
			logo:'',
			appIdPublic:'',
			openId:'',
		},
	},
	mutations: {
		updataConfig(state, data) {
			state.appConfig = data;
			uni.setStorage({
				key: 'appConfig',
				data: data
			})
		}
	},
	actions:{
		setAppConfig({ commit }, token){
			commit('updataConfig', token);
		},
	}
}

export default auth;